Package org.pentaho.reporting.libraries.formula.function.text

# Class TrimFunction

java.lang.Object
org.pentaho.reporting.libraries.formula.function.text.TrimFunction

All Implemented Interfaces:
  `Serializable`, `Function`

public class TrimFunction extends Object implements Function
This function returns the given text free of leading spaces. Removes all leading and trailing spaces and all extra spaces inside the text.

Author:
  Cedric Pronzato
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TrimFunction()`

## Method Summary

Modifier and Type
Method
Description
`TypeValuePair`
`evaluate(FormulaContext context, ParameterCallback parameters)`
`String`
`getCanonicalName()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TrimFunction

public TrimFunction()

## Method Details

### evaluate

public TypeValuePair evaluate(FormulaContext context, ParameterCallback parameters) throws EvaluationException

Specified by:
  `evaluate` in interface `Function`
Throws:
  `EvaluationException`

### getCanonicalName

public String getCanonicalName()

Specified by:
  `getCanonicalName` in interface `Function`